# List or Create Blog Images POST /api/v1/publications/blogs/{blog_id}/images/ Content-Type: application/json Lists all images for a specific blog or uploads a new image. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/publications/blogs-images-list ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/publications/blogs/{blog_id}/images/: post: operationId: blogs-images-create summary: List or Create Blog Images description: Lists all images for a specific blog or uploads a new image. tags: - subpackage_publications parameters: - name: blog_id in: path description: The ID of the blog required: true schema: type: integer responses: '200': description: List of blog images content: application/json: schema: $ref: '#/components/schemas/BlogImageList' '400': description: Invalid input content: application/json: schema: description: Any type '401': description: Unauthorized content: application/json: schema: description: Any type '403': description: Forbidden content: application/json: schema: description: Any type '404': description: Blog not found content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/BlogImage' components: schemas: BlogImage: type: object properties: id: type: integer uid: type: string format: uuid created_at: type: string format: date-time updated_at: type: string format: date-time deleted_at: type: - string - 'null' format: date-time is_active: type: boolean created_by: type: - string - 'null' updated_by: type: - string - 'null' deleted_by: type: - string - 'null' blog: type: integer image: type: string format: uri description: Image file for the blog post alt_text: type: string description: Alternative text for accessibility caption: type: string description: Caption for the image order: type: integer description: Order of the image in the blog post required: - id - uid - created_at - updated_at - blog - image description: Serializer for BlogImage model - used for creating/updating images title: BlogImage BlogImageList: type: object properties: id: type: integer image: type: string format: uri description: Image file for the blog post alt_text: type: string description: Alternative text for accessibility caption: type: string description: Caption for the image order: type: integer description: Order of the image in the blog post created_at: type: string format: date-time required: - id - image - created_at description: Serializer for listing BlogImage objects - lighter response title: BlogImageList ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/publications/blogs/1/images/" payload = { "image": "https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/publications/blogs/1/images/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"image":"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/publications/blogs/1/images/" payload := strings.NewReader("{\n \"image\": \"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/publications/blogs/1/images/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"image\": \"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/publications/blogs/1/images/") .header("Content-Type", "application/json") .body("{\n \"image\": \"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/publications/blogs/1/images/', [ 'body' => '{ "image": "https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/publications/blogs/1/images/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"image\": \"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["image": "https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/publications/blogs/1/images/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python import requests url = "https://api.example.com/api/v1/publications/blogs/1/images/" payload = { "image": "https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/publications/blogs/1/images/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"image":"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/publications/blogs/1/images/" payload := strings.NewReader("{\n \"image\": \"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/publications/blogs/1/images/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"image\": \"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/publications/blogs/1/images/") .header("Content-Type", "application/json") .body("{\n \"image\": \"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/publications/blogs/1/images/', [ 'body' => '{ "image": "https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/publications/blogs/1/images/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"image\": \"https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["image": "https://cdn.aisquarestudio.com/blogs/1/cover-image.jpg"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/publications/blogs/1/images/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```